package com.sd.business.controller.area;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.area.dto.AreaUserDto;
import com.sd.business.entity.area.dto.AreaUserSelectDto;
import com.sd.business.entity.area.vo.AreaUserVo;
import com.sd.business.service.area.AreaUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 用户收货地址 前端控制器
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@RestController
@RequestMapping("/areaUser")
public class AreaUserController {

    @Autowired
    private AreaUserService areaUserService;

    /**
     * 用户收货地址分页
     */
    @PostMapping("/page")
    public Page<AreaUserVo> page(@RequestBody AreaUserSelectDto dto) {
        return areaUserService.getPage(dto);
    }

    /**
     * 用户收货地址明细
     */
    @PostMapping("/detail")
    public AreaUserVo detail(@RequestBody BaseSelectDto dto) {
        return areaUserService.detail(dto.getId());
    }

    /**
     * 用户收货地址新增
     */
    @PostMapping("/add")
    public void add(@RequestBody AreaUserDto dto) {
        areaUserService.add(dto);
    }

    /**
     * 用户收货地址编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody AreaUserDto dto) {
        areaUserService.edit(dto);
    }

    /**
     * 用户收货地址删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        areaUserService.delete(dto.getId());
    }

}
