package com.sd.business.entity.area.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

/**
 * <p>
 * 用户收货地址
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@Getter
@Setter
@TableName("area_user")
public class AreaUser extends BasePo {

    /**
     * 省
     */
    @NotNull
    private Long provinceCode;

    /**
     * 市
     */
    @NotNull
    private Long cityCode;

    /**
     * 县
     */
    @NotNull
    private Long countyCode;

    /**
     * 街道
     */
    @NotNull
    private Long streetCode;

    /**
     * 详细地址
     */
    @NotBlank
    @Size(min = 5, max = 120)
    private String detailedAddress;

    /**
     * 联系人
     */
    @NotBlank
    @Size(min = 1, max = 25)
    private String contactPerson;

    /**
     * 联系电话
     */
    @Pattern(regexp = "^[1][3,4,5,6,7,8,9][0-9]{9}$")
    @NotBlank
    private String contactNumber;

    /**
     * 联系电话前缀
     */
    @NotBlank
    private String contactNumberPrefix;

    /**
     * 默认地址 1是 0否
     */
    @NotNull
    private Integer defaultAddress;

}
