package com.sd.business.entity.order.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * 图稿操作类型
 */
@Getter
@AllArgsConstructor
public enum ArtworkLogTypeEnum {
    UPLOAD_BLUEPRINT(10, "上传设计图"),
    UPLOAD_PROOFING_IMG(20, "上传打样图"),
    UPLOAD_PROOFING_DOCUMENT(21, "上传打样图稿"),
    REJECT_PROOFING_IMG(22, "驳回打样图稿"),
    CONFIRM_PROOFING_IMG(30, "确认打样图"),
    UPLOAD_PRODUCTION_DOCUMENT(40, "上传设计图稿"),

    ;

    private static final Map<Integer, ArtworkLogTypeEnum> map = new HashMap<>();

    static {
        for (ArtworkLogTypeEnum orderStatusEnum : values()) {
            map.put(orderStatusEnum.getKey(), orderStatusEnum);
        }
    }

    private final Integer key;
    private final String value;

    /**
     * 通过key获取名称
     */
    public static ArtworkLogTypeEnum getEnum(Integer key) {
        ArtworkLogTypeEnum orderStatusEnum = map.get(key);
        if (orderStatusEnum == null) {
            throw new ServiceException("未知操作类型：" + key);
        }
        return orderStatusEnum;
    }

}
