package com.sd.business.service.area;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.area.dto.AreaUserDto;
import com.sd.business.entity.area.dto.AreaUserSelectDto;
import com.sd.business.entity.area.po.AreaUser;
import com.sd.business.entity.area.vo.AreaUserVo;


/**
 * <p>
 * 用户收货地址 服务类
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
public interface AreaUserService extends BaseService<AreaUser> {

    /**
     * 用户收货地址分页
     */
    Page<AreaUserVo> getPage(AreaUserSelectDto dto);

    /**
     * 用户收货地址明细
     */
    AreaUserVo detail(Long id);

    /**
     * 用户收货地址新增
     */
    void add(AreaUserDto dto);

    /**
     * 用户收货地址编辑
     */
    void edit(AreaUserDto dto);

    /**
     * 用户收货地址删除
     */
    void delete(Long id);

}
