package com.sd.business.service.bom.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.file.service.FileInfoService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.dto.BomSpecDto;
import com.sd.business.entity.bom.dto.BomSpecSelectDto;
import com.sd.business.entity.bom.po.Bom;
import com.sd.business.entity.bom.po.BomClassify;
import com.sd.business.entity.bom.po.BomSpec;
import com.sd.business.entity.bom.vo.BomSpecVo;
import com.sd.business.mapper.bom.BomSpecMapper;
import com.sd.business.service.bom.BomSpecService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * <p>
 * bom规格 服务实现类
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
@Service
public class BomSpecServiceImpl extends ServiceImpl<BomSpecMapper, BomSpec> implements BomSpecService {

    @Override
    public Page<BomSpecVo> getPage(BomSpecSelectDto dto) {
        IWrapper<BomSpec> wrapper = getWrapper();
        wrapper.eq("bc", BomClassify::getCode, dto.getBomClassifyCode());
        wrapper.eq("bs", BomSpec::getLength, dto.getLength());
        wrapper.eq("bs", BomSpec::getWidth, dto.getWidth());
        wrapper.eq("bs", BomSpec::getHeight, dto.getHeight());
        wrapper.eq("bs", BomSpec::getColour, dto.getColour());
        wrapper.eq("b", Bom::getChromatophore, dto.getChromatophore());
        wrapper.eq("b", Bom::getFrontGrain, dto.getFrontGrain());
        wrapper.eq("b", Bom::getReverseGrain, dto.getReverseGrain());
        wrapper.orderByDesc(BomSpec::getId);
        return this.baseMapper.getPage(dto.getPage(), wrapper);
    }

    @Override
    public BomSpecVo detail(Long id) {

        BomSpecVo vo = Sql.create(BomSpecVo.class)
                .selectAll(BomSpec.class)
                .from(BomSpec.class)
                .eq(BomSpec::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(BomSpecDto dto) {
        save(dto);
    }

    @Override
    public void edit(BomSpecDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
