package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.dto.SkuUserDto;
import com.sd.business.entity.sku.dto.SkuUserSelectDto;
import com.sd.business.entity.sku.po.SkuUser;
import com.sd.business.entity.sku.vo.SkuUserVo;


/**
 * <p>
 * 用户专属sku 服务类
 * </p>
 *
 * @author
 * @since 2023-11-20
 */
public interface SkuUserService extends BaseService<SkuUser> {

    /**
     * 用户专属sku分页
     */
    Page<SkuUserVo> getPage(SkuUserSelectDto dto);

    /**
     * 用户专属sku明细
     */
    SkuUserVo detail(Long id);

    /**
     * 用户专属sku新增
     */
    void add(SkuUserDto dto);

    /**
     * 用户专属sku编辑
     */
    void edit(SkuUserDto dto);

    /**
     * 用户专属sku删除
     */
    void delete(Long id);

}
